Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4167 - Sony VAIO locks up on boot.
Summary: Sony VAIO locks up on boot.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-22 20:23 UTC by ralph
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-19 19:40:25 UTC


Attachments (Terms of Use)

Description ralph 1999-07-22 20:23:40 UTC
Hello,
  Im having a small problem with my new notebook, it locks
up a majority of the time at startup with an 'unable to
mount root fs' error message.  This happens most of the
time unfortunatly, and i have to turn off and on the
notebook as many as 10 times sometime before it works...
(for an unknown reason)  I have a Sony Z-505SX notebook and
other than the sound card not being supported yet,
everything else seems to work fine with it...  Im running
redhat 6.0, i did a dmesg and a few other dumps and
attached them to this bug report, i hope i didnt leave out
any important information :)
-Ralph Bonnell (www.ralph.cx)

###Bad Boot:

Linux version 2.3.11 (root@sony.z.aubbs.cx) (gcc version
egcs-2.91.66 19990314/Linux (egcs-1.1.2 release)) #2 Thu
Jul 22 12:27:31 EDT 1999
INITIALIZING CPU#0
Detected 364739803 Hz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 363.72 BogoMIPS
Memory: 127608k/131008k available (948k kernel code, 412k
reserved, 2000k data, 40k init)
Buffer-cache hash table entries: 8192 (order: 3, 32768
bytes)
Page-cache hash table entries: 32768 (order: 5, 131072
bytes)
CPU: Intel Mobile Pentium II stepping 0a
Checking 386/387 coupling... OK, FPU using exception 16
error reporting.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.35 (19990512) Richard Gooch (rgooch@atnf.csiro.au)
PCI: PCI BIOS revision 2.10 entry at 0xfd9d4
PCI: Using configuration type 1
PCI: Probing PCI hardware
PCI: Enabling memory for device 00:48
PCI: Enabling I/O for device 00:58
PCI: Enabling memory for device 00:58
Linux NET4.0 for Linux 2.3
Based upon Swansea University Computer Society NET3.039
NET4: Unix domain sockets 1.0 for Linux NET4.0.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP
TCP: Hash tables configured (established 131072 bind 131072)
Starting kswapd v 1.5
Detected PS/2 Mouse Port.
Serial driver version 4.27 with no serial options enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
ttyS02 at 0x03e8 (irq = 4) is a 16550A
pty: 256 Unix98 ptys configured
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.9)
Real Time Clock Driver v1.09a
Uniform Multi-Platform E-IDE driver Revision: 6.19
PIIX4: IDE controller on PCI bus 00 dev 39
PIIX4: not 100% native mode: will probe irqs later
hda: IBM-DBCA-206480, ATA DISK drive
ide2: ports already in use, skipping probe
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
hda: IBM-DBCA-206480, 6194MB w/420kB Cache, CHS=839/240/63
Floppy drive(s): fd0 is unknown type 12 (usb?), fd1 is
2.88M AMI BIOS
floppy0: no floppy controllers found
  The PCI BIOS has not enabled this device!  Updating PCI
command 0013->0017.
eth0: OEM i82557/i82558 10/100 Ethernet at 0xfcc0,
08:00:46:04:3A:68, IRQ 9.
  Board assembly 100001-001, Physical connectors present:
RJ45
  Primary interface chip i82555 PHY #1.
  General self-test: passed.
  Serial sub-system self-test: passed.
  Internal registers self-test: passed.
  ROM checksum self-test: passed (0x04f4518b).
  Receiver lock-up workaround activated.
Partition check:
 hda: hda1 hda2 < hda5 hda6 hda7 hda8 hda9 hda10 hda11 >
VFS: Cannot open root device 00:30
Kernel panic: VFS: Unable to mount root fs on 00:30

### Normal Boot:

...
Partition check:
 hda: hda1 hda2 < hda5 hda6 hda7 hda8 hda9 hda10 hda11 >
VFS: Mounted root (ext2 filesystem) readonly.
Freeing unused kernel memory: 40k freed
Adding Swap: 136040k swap-space (priority -1)
uhci_control_thread at c8019cec
New bus registered
uhci_connect_change: called for 0
USB new device connect, assigned device number 1
...

### LSPCI:

00:00.0 Host bridge: Intel Corporation 440BX/ZX -
82443BX/ZX Host bridge (AGP disabled) (rev 03)
00:06.0 Ethernet controller: Intel Corporation 82557 (rev
08)
00:07.0 Bridge: Intel Corporation 82371AB PIIX4 ISA (rev 02)
00:07.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE
(rev 01)
00:07.2 USB Controller: Intel Corporation 82371AB PIIX4 USB
(rev 01)
00:07.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev
02)
00:08.0 VGA compatible controller: Neomagic Corporation
[MagicGraph 256AV] (rev 20)
00:08.1 Multimedia audio controller: Neomagic Corporation:
Unknown device 8005 (rev 20)
00:09.0 FireWire (IEEE 1394): Sony Corporation: Unknown
device 8009 (rev 01)
00:0a.0 CardBus bridge: Ricoh Co Ltd RL5C475
00:0b.0 Communication controller: Rockwell International:
Unknown device 2005 (rev 01)

### LSMOD:

Module                  Size  Used by
vmnet                   9856   4
vmmon                  10944   0
mouse                   1960   1
usb-uhci               12588   1
usbcore                12256   0  [mouse usb-uhci]
nfsd                  154048   8  (autoclean)

### DF:

Filesystem           1k-blocks      Used Available Use%
Mounted on
/dev/hda11              153726     46322     99468  32% /
/dev/hda1                21924      8876     11916  43%
/boot
/dev/hda10             1955208     12204   1842080   1%
/home
/dev/hda7               204951     19614    174755  10% /tmp
/dev/hda6              1589064   1304180    202860  87% /usr
/dev/hda5              1984488    125556   1756496   7%
/usr/local
/dev/hda9               102468     25260     71918  26% /var

Comment 1 ralph 1999-07-22 20:36:59 UTC
oh, it did the same thing on the 2.2.5 kernel (stock redhat) as well
:)

Comment 2 Bill Nottingham 1999-07-22 20:56:59 UTC
What happens if you boot with the 'apm=off' option?
(Unrelated question: is that a real modem, or a WinModem?)

Comment 3 Bill Nottingham 1999-07-22 21:00:59 UTC
Another thing to try is to boot with mem=127M (or some other
lower number.)

Comment 4 greg 1999-07-23 03:30:59 UTC
the apm and the mem option worked :)   yay! thanx :)
i think ill use the mem option (since i use apm)  , where can i put
that in the boot? (/etc/lilo.conf?)

as for the modem, i thing its a Rockwell based pci winmodem :(

here is the bottom of the CAT PCI output (retyped.. im too lazy to
grab a patch cable, my baystack switch is in the other room and im in
bed):
Bus 0, device 11, function 0:
 Communication controller: Unknown vendor Unknown device (rev 1).
  Vendor id=127a. Device id=2005.
  Medium devsel. Fast back-to-back capable. Master Capable.
Latency=64.
  Non-prefetchable 32 bit memory at 0xfece0000 [0xfece0000].
  I/O at 0xfca8 [0xfca9].

-Ralph Bonnell
-www.ralph.cx

Comment 5 Bill Nottingham 1999-07-23 15:53:59 UTC
You'd put something in your lilo.conf like:
append="mem=127M"

Unfortunately, it does look like all of the Rockwell PCI modems
are WinModems. :(


Note You need to log in before you can comment on or make changes to this bug.